Package org.wildfly.plugin.common

## Enum StandardOutput.Target

- java.lang.Object
- - java.lang.Enum<StandardOutput.Target>
  - - org.wildfly.plugin.common.StandardOutput.Target

- All Implemented Interfaces:
    `Serializable`, `Comparable<StandardOutput.Target>`
  Enclosing class:
    StandardOutput

      public static enum StandardOutput.Target
      extends Enum<StandardOutput.Target>

  The target for the the output stream.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COLLECTING` | The output stream data has been collected and can be queried.
    `DISCARDING` | The output stream data has been discarded.
    `FILE` | The output stream will be redirected to a file.
    `INHERIT` | The output stream for a process will be inherited from this parent process.
    `SYSTEM_ERR` | The output stream will be redirected to `System.err`.
    `SYSTEM_OUT` | The output stream will be redirected to `System.out`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StandardOutput.Target` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static StandardOutput.Target[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLLECTING

          public static final StandardOutput.Target COLLECTING

      The output stream data has been collected and can be queried.

    - #### DISCARDING

          public static final StandardOutput.Target DISCARDING

      The output stream data has been discarded.

    - #### FILE

          public static final StandardOutput.Target FILE

      The output stream will be redirected to a file.

    - #### SYSTEM_ERR

          public static final StandardOutput.Target SYSTEM_ERR

      The output stream will be redirected to `System.err`.

    - #### SYSTEM_OUT

          public static final StandardOutput.Target SYSTEM_OUT

      The output stream will be redirected to `System.out`.

    - #### INHERIT

          public static final StandardOutput.Target INHERIT

      The output stream for a process will be inherited from this parent process.

  - ### Method Detail

    - #### values

          public static StandardOutput.Target[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardOutput.Target c : StandardOutput.Target.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardOutput.Target valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null